import * as log from './log'
import * as mqtt from './mqttclient'

class Dispatcher {
    private _mqttClient: mqtt.MqttClient

    constructor() {
        this._mqttClient = new mqtt.MqttClient()

        this._mqttClient.register('IoT/test', (message: any) : any => {
            log.info("Callback for IoT/test")
            log.info(`message is ${message}`)
            return `<<${message}>>`
        })
        this._mqttClient.register('IoT/Device/#', mqtt.passThrough)
    }

    exec() : void {
        log.info("Dispatcher starting")

        this._mqttClient.exec()

        log.info("Dispatcher running")
    }
}


const dispatcher = new Dispatcher()
dispatcher.exec()




